function [ percVals ] = computePercNonneg( values, percentile, offset )
    percVals = zeros(size(values, 1), 1);
    for i = offset:size(values, 1)
        pd = fitdist(squeeze(values(i,:)'), 'Gamma');
        percVals(i) = icdf(pd, percentile);
    end
end

